use proc_macro::TokenStream;
use quote::quote;
use syn;

#[proc_macro_derive(HelloMacro)]
pub fn hello_macro_derive(input: TokenStream) -> TokenStream {
    // Konstruuje reprezentację kodu Rusta jako drzewa składni,
    // którą możemy manipulować
    let ast = syn::parse(input).unwrap();

    // Buduje implementację cechy
    impl_hello_macro(&ast)
}
